package com.lemoulinstudio.jnag.rds;

import java.io.Serializable;

/**
 *
 * @author Vincent Cantin
 */
class RemoteIdStoreImpl implements RemoteIdStore, Serializable {

  private static final long serialVersionUID = 1L;

  private int nextIdValue;

  @Override
  public Id allocateNewId() {
    return new Id(nextIdValue++);
  }

  @Override
  public void allocateId(Id id) {
    // In this implementation, we just forget about the id and that's all.
  }

  @Override
  public void releaseId(Id id) {
    // In this implementation, we just forget about the id and that's all.
  }
  
}
