package com.lemoulinstudio.jnag.rds;

import com.sun.sgs.app.ManagedReference;

/**
 * @author Vincent Cantin
 */
interface IdObjectBinding<T> {
  public void bind(Id id, ManagedReference<? extends T> objectRef);
  public void unbindFromId(Id id);
  public Id unbindFromObjectRef(ManagedReference<? extends T> objectRef);
  public boolean isUsing(Id id);
  public ManagedReference<? extends T> getObjectRef(Id id);
  public Id getId(ManagedReference<? extends T> objectRef);
  public void removingObject();
}
